LibreOffice LibreOffice 26.2 SDK API Reference

Public Types | Exported Interfaces | Public Attributes | List of all members
DataSequence Service Reference

describes a container for a sequence of values. More...

`import"DataSequence.idl";`

Inheritance diagram for DataSequence:

## Public Types
typedef sequence< long > | HiddenValues
| a sequence of indexes that identify values that are hidden in the underlying data provider. More...

## Exported Interfaces
interface | XDataSequence
| provides read- and write-access to the underlying data. More...
interface | XNumericalDataSequence
| you may implement this interface to allow a fast access to numerical data. More...
interface | XTextualDataSequence
| you may implement this interface to allow a fast access to textual data. More...
interface | ::com::sun::star::container::XIndexReplace
| provides read- and write-access to single elements of the underlying data. More...
interface | ::com::sun::star::util::XCloneable
| Allows creating copies of data sequences. More...
interface | com::sun::star::util::XModifyBroadcaster
| is used to broadcast change events whenever the content (data) or the range representations change. More...
interface | ::com::sun::star::beans::XPropertySet
| the property interface by which the properties of all supported services are exchanged More...

## Public Attributes
DataSequenceRole | Role
| The key (index) of the number format that this sequence should be formatted with. More...
boolean | IncludeHiddenCells
| If set to false `FALSE`, values from hidden cells are not returned. More...

## Additional Inherited Members
Public Member Functions inherited from XDataSequence
sequence< any > | getData ()
| retrieves the data stored in this component. More...
string | getSourceRangeRepresentation ()
| returns the (UI) range representation string used by this XDataSequence. More...
sequence< string > | generateLabel ([in] com::sun::star::chart2::data::LabelOrigin eLabelOrigin)
| creates a label that describes the origin of this data sequence. More...
long | getNumberFormatKeyByIndex ([in] long nIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| returns a number format key for the value at the given index in the data sequence. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XNumericalDataSequence
sequence< double > | getNumericalData ()
| retrieves data as `double` values. More...
Protected Member Functions inherited from XTextualDataSequence
sequence< string > | getTextualData ()
| retrieves the data as strings More...
Protected Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element. More...
Protected Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object. More...
Protected Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified." More...
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

describes a container for a sequence of values.

With the interface XDataSequence it is possible to transfer a complete sequence of values.

With the optional com::sun::star::container::XIndexReplace it is possible to modify single elements, if the corresponding DataProvider supports modification of its values.

## Member Typedef Documentation

## ◆ HiddenValues

sequence< long > HiddenValues
| optional property

a sequence of indexes that identify values that are hidden in the underlying data provider.

## Exported Interfaces

## ◆ ::com::sun::star::beans::XPropertySet

interface ::com::sun::star::beans::XPropertySet

the property interface by which the properties of all supported services are exchanged

## ◆ ::com::sun::star::container::XIndexReplace

interface ::com::sun::star::container::XIndexReplace
| optional

provides read- and write-access to single elements of the underlying data.

Only when supporting this interface, it is possible for client applications to modify the content of the data that is provided by this DataSequence.

## ◆ ::com::sun::star::util::XCloneable

interface ::com::sun::star::util::XCloneable
| optional

Allows creating copies of data sequences.

If this interface is not supported, the same object will be shared if used by multiple objects.

Cloning is especially useful when using identifiers. A cloned data sequence will get a new identifier while the source range representation is identical to the original one.

Note that, when this interface is not implemented the releasing of identifiers at the XDataProvider will not work properly, because more than one object may use the same identifier. So, when an object releases the identifier, another object might use a stale identifier.

## ◆ com::sun::star::util::XModifyBroadcaster

interface com::sun::star::util::XModifyBroadcaster

is used to broadcast change events whenever the content (data) or the range representations change.

## ◆ XDataSequence

interface XDataSequence

provides read- and write-access to the underlying data.

## ◆ XNumericalDataSequence

interface XNumericalDataSequence
| optional

you may implement this interface to allow a fast access to numerical data.

With this interface you can get a `sequence` of `double` values.

## ◆ XTextualDataSequence

interface XTextualDataSequence
| optional

you may implement this interface to allow a fast access to textual data.

With this interface you can get a `sequence` of `string` values.

## Member Data Documentation

## ◆ IncludeHiddenCells

boolean IncludeHiddenCells
| optional property

If set to false `FALSE`, values from hidden cells are not returned.

## ◆ Role

DataSequenceRole Role
| property

The key (index) of the number format that this sequence should be formatted with.

The key identifies a number format in an com::sun::star::util::XNumberFormats object. This object can be retrieved by the com::sun::star::util::XNumberFormatsSupplier interface supported by com::sun::star::chart::ChartDocument.

Todo:
  use proper number format instead of a transient key.

The role of the series inside a data series. This may be any string. However some strings are predefined and should always be used in the same way.

See also
  DataSequenceRole

The documentation for this service was generated from the following file:

- com/sun/star/chart2/data/DataSequence.idl